Trie (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.symbol.trie
Class Trie

    java.lang.Object
      org.maltparser.core.symbol.trie.Trie

    public class Trie

extends Object

Since:
  1.0
Author:
  Johan Hall

Constructor Summary
`Trie()`

Method Summary
`TrieNode` | `addValue(StringBuilder symbol, TrieSymbolTable table, int code)`
`TrieNode` | `addValue(String value, TrieSymbolTable table, int code)`
`boolean` | `equals(Object obj)`
`TrieEntry` | `getEntry(String value, TrieSymbolTable table)`
`String` | `getValue(TrieNode node, TrieSymbolTable table)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Trie

    public Trie()

Method Detail

### addValue

    public TrieNode addValue(String value,
                             TrieSymbolTable table,
                             int code)
                      throws SymbolException

  Throws:
    `SymbolException`

### addValue

    public TrieNode addValue(StringBuilder symbol,
                             TrieSymbolTable table,
                             int code)
                      throws SymbolException

  Throws:
    `SymbolException`

### getValue

    public String getValue(TrieNode node,
                           TrieSymbolTable table)

### getEntry

    public TrieEntry getEntry(String value,
                              TrieSymbolTable table)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.